PURIFY(1)

NAME
purify - Reconstruct images from radio interferometers using PADMM

SYNOPSIS
purify --measurement_set path --name path [options]

DESCRIPTION
PURIFY is a tool for radio interferometric imaging including file handling (for both visibilities and fits files), implementation of the measurement operator and set-up of the different optimization problems used for image deconvolution.

The code is given for educational purpose. The code is in beta and still under development.

OPTIONS

--measurement_set
    Path of measurement set. (required)

--name
    Path of file output. (required)

--noise
    Path of measurement_set with Stokes V noise estimate. (Assumes Stokes V of measurement set).

--niters
    Number of iterations.

--stokes
    Choice of stokes I, Q, U, or V (I is default).

--cellsize
    Size of a pixel in arcseconds.

--size
    Image size in pixels.

--width
    Image width in pixels.

--height
    Image height in pixels.

--beta
    Values used to set the stepsize of PADMM

--noadapt
    Choose not to update the stepsize.

--diagnostic
    Save diagnostic information to log file.

--l2_bound
    Factor to multiply the l2 bound by.

--relative_variation
    Convergence criteria on relative variation (default is 1e-3).

--residual_convergence
    Factor to multiply the l2 bound by for convergence. (default is 1)

--relative_gamma_adapt
    Relative difference criteria for adapting the stepsize gamma (default 0.01).

--power_iterations
    Maximum iterations for the power method.

--primary_beam
    Choice of primary beam model. (none is the only option).

--fft_grid_correction
    Choose calculate the gridding correction using an FFT rather than analytic formula.

--kernel
    Type of gridding kernel to use, kb, gauss, pswf, box. (kb is default)

--kernel_support
    Support of kernel in grid cells. (4 is the default)

--logging_level
    Determines the output logging level for sopt and purify. ("debug" is the default)

--help
    Print usage information.

AUTHORS
PURIFY was initially created by Rafael Carrillo, Jason McEwen and Yves Wiaux but major contributions have since been made by a number of others. The full list of contributors is as follows: Rafael E. Carrillo, Jason D. McEwen, Yves Wiaux, Luke Pratley, and Mayeul d'Avezac.

BUGS
If you have any questions or comments, feel free to contact Rafael Carrillo or Jason McEwen, or add an issue in the issue tracker https://github.com/astro-informatics/purify/issues

LICENSE
PURIFY Copyright (C) 2013 Rafael Carrillo, Jason McEwen, Yves Wiaux

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.